/// <reference types="react" />
import type { IconProps } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui";
export declare const HeaderContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & {
    role?: string | undefined;
    tabIndex?: number | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const Header: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {}>;
declare const ICON_VARIANTS: {
    "right-down": {
        collapsed: string;
        expanded: string;
    };
    "up-down": {
        collapsed: string;
        expanded: string;
    };
};
interface ToggleIconProps {
    isExpanded: boolean;
    position: string;
    variant: keyof typeof ICON_VARIANTS;
    size?: number;
}
export declare const ToggleIcon: import("@emotion/styled").StyledComponent<ToggleIconProps & Omit<IconProps, "name"> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export {};
